//
//
// C++ Implementation for module: freq
//
// Description: 
//
//
// Author: exa
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "fp-tree/Pattern_Miner.hxx"

int main(int argc, char *argv[])
{
  cerr << "fim_all_debug -- debug sequential frequency mining" << endl;
  cerr << "FP-Growth-Tiny by Eray Ozkural <erayo@cs.bilkent.edu.tr>" << endl;
  cerr << endl;

  if (argc!=3 && argc!=4) {
    cout << "usage: fim_all db-file threshold [output-file]" << endl;
    exit(-1);
  }

  string db_name(argv[1]);
  string patterns = db_name + ".patterns";
  
  istringstream is(argv[2]);
  int abs_sup;
  is >> abs_sup;

  if (argc==4) {
    string output_name(argv[3]);
    Pattern_Miner miner(db_name, Transaction::ascii, "patterns", true);
    miner.discover_absolute(abs_sup);
  }
  else {
    Pattern_Miner miner(db_name, Transaction::ascii, "patterns", true);
    miner.discover_absolute(abs_sup);
  }
  
  return 0; // success
}
