//
//
// C++ Implementation for module: freq
//
// Description: 
//
//
// Author: exa
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "fp-tree/Pattern_Miner.hxx"

int main(int argc, char *argv[])
{
  if (argc!=4) {
    cout << "usage: fim_all db-file threshold output-file" << endl;
    exit(-1);
  }

  string db_name(argv[1]);
  
  istringstream is(argv[2]);
  int abs_sup;
  is >> abs_sup;

  string output_name(argv[3]);
  Pattern_Miner miner(db_name, Transaction::ascii, output_name);
  miner.discover_absolute(abs_sup);
  
  return 0; // success
}
